Bug 99551 - xfs support in redhat beta kernel does not compile
Summary: xfs support in redhat beta kernel does not compile
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel   
(Show other bugs)
Version: beta1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-21 19:59 UTC by Knut J BJuland
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-22 19:55:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A xfs update patch by Russell Cattelan,cattelan@xfs.org (187.05 KB, text/plain)
2003-08-02 16:11 UTC, Knut J BJuland
no flags Details

Description Knut J BJuland 2003-07-21 19:59:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
I am unable to compile this kernel with xfs support.

xfs_syncd.c: In function `syncd':
xfs_syncd.c:52: structure has no member named `sigmask_lock'
xfs_syncd.c:54: too many arguments to function `recalc_sigpending'

Version-Release number of selected component (if applicable):
kernel-source-2.4.21-20.1.2024.2.1.nptl

How reproducible:
Always

Steps to Reproduce:
1.make xconfig and slect y for xfs file system
2. make dep bzImage
3.
    

Actual Results:  xfs_syncd.c: In function `syncd':
xfs_syncd.c:52: structure has no member named `sigmask_lock'
xfs_syncd.c:54: too many arguments to function `recalc_sigpending'


Expected Results:  xfs code shold compile

Additional info:

Comment 1 Knut J BJuland 2003-07-22 19:53:18 UTC
the O_DIRECT change has not been integrate into xfs code ine the tree.

 /BUILD/kernel-2.4.21/linux-2.4.21/arch/i386/lib/lib.a --end-group -o
 .tmp_vmlinux1
 fs/fs.o(.text+0xa130c): In function `xfs_write':
 : undefined reference to `generic_file_write_nolock'
 make[1]: *** [kallsyms] Error 1 O_DIRECT

Comment 2 Arjan van de Ven 2003-07-22 19:55:21 UTC
XFS doesn't compile.... guess why it's off :)


Comment 3 Knut J BJuland 2003-08-02 12:42:53 UTC
Please update xfs source with nptl change and O_directe.

Comment 4 Rik van Riel 2003-08-02 14:31:13 UTC
Sorry, but your patch to make XFS compile doesn't seem to be attached to this
bug report.

Comment 5 Knut J BJuland 2003-08-02 16:11:33 UTC
Created attachment 93355 [details]
A xfs update patch by Russell Cattelan,cattelan@xfs.org

I got this xfs patch Russell Cattelan,cattelan@xfs.org. This update xfs to
compile stat in Redhat kernel. It applies cleanly.


Note You need to log in before you can comment on or make changes to this bug.